Subject: Re: linux-next: build failure after merge of the btrfs tree

From: David Sterba <[email-masked]>
Date: Tue, 8 Nov 2022 12:21:02 +0100

On Tue, Nov 08, 2022 at 09:42:29AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the btrfs tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> ld: fs/btrfs/messages.o:(.opd+0x90): multiple definition of `abort_should_print_stack'; fs/btrfs/ctree.o:(.opd+0x270): first defined here
> ld: fs/btrfs/messages.o: in function `.abort_should_print_stack':
> messages.c:(.text.unlikely+0x55c): multiple definition of `.abort_should_print_stack'; fs/btrfs/ctree.o:ctree.c:(.text.unlikely+0x0): first defined here
> 
> Caused by commit
> 
>   8bb808c6ad91 ("btrfs: don't print stack trace when transaction is aborted due to ENOMEM")
> 
> from the btrfs-fixes tree interacting with commit
> 
>   c6f1e8101ccc ("btrfs: don't print stack trace when transaction is aborted due to ENOMEM")
> 
> from the btrfs tree.
> 
> I applied the following merge fix for today.

Thanks. We have development branch that moved a lot of code and fixes to
mainline are in different files. Locally I see that for-next builds fine
because the next-fixes is not merged to it but the linux-next tree
merges both. I'll do more build checks, sorry for inconvenience.